# Maintainer: Márcio Sousa Rocha <marciosr10@gmail.com>

pkgname=receitanet
pkgver=1.24
pkgrel=1.1
license=('custom')
arch=(any)
pkgdesc='Programa Oficial da Receita para envio do IRPF'
url='http://www.receita.fazenda.gov.br'

source=(http://www.receita.fazenda.gov.br/publico/programas/receitanet/receitanet-${pkgver}-1.noarch.rpm
        "https://metainfo.manjariando.com.br/${pkgname}/gov.${pkgname}.metainfo.xml"
        "https://metainfo.manjariando.com.br/irpf/irpf"-{48,64,128}.png
        "Copyright")
        
md5sums=('57e8b9488b3c03059690a0dbc1e32f16'
         'ee1465b9095249c3b7729646af1b54d7'
         'ff0f7c6878280e3f7e5aeaab920cc042'
         '7b3980e408d29615e28945b5c2bf53fa'
         '43d8c9617118578f03b2c4eeb1c72c57'
         'f8307cc893e7293e079ffb58e034d18d')

install=$pkgname.install

prepare() {
    cd "$srcdir"/usr/share/applications
    sed -i "s|java -jar '/opt/Programas\ RFB/Receitanet/receitanet.jar'|receitanet|" rfb-receitanet.desktop
    sed -i 's|/opt/Programas\ RFB/Receitanet/imagens/Receitanet.xpm|receitanet|' rfb-receitanet.desktop
    echo 'Categories=Network;' >> rfb-receitanet.desktop
}

package() {
    depends=('java-runtime=11' 'hicolor-icon-theme' 'desktop-file-utils')

    cd "$srcdir"/opt/Programas\ RFB/Receitanet

    install -d "$pkgdir"/usr/{bin,share/{icons/hicolor/32x32/apps,applications,licenses/receitanet,receitanet}}

    cp -rf lib "$pkgdir"/usr/share/receitanet/

    install -Dm644 receitanet.dat "$pkgdir"/usr/share/receitanet/
    install -Dm644 receitanet.jar "$pkgdir"/usr/share/receitanet/

    install -Dm644 imagens/Receitanet.xpm "$pkgdir"/usr/share/icons/hicolor/32x32/apps/receitanet.xpm

    install -Dm644 "$srcdir"/Copyright "$pkgdir"/usr/share/licenses/receitanet/

    echo -e '#!/bin/sh\ncd "/usr/share/receitanet/"' > "$pkgdir"/usr/bin/receitanet
    echo 'java -jar receitanet.jar' >> "$pkgdir"/usr/bin/receitanet

    chmod 755 "$pkgdir"/usr/bin/receitanet

    # Appstream
    install -Dm644 "${srcdir}/gov.${pkgname}.metainfo.xml" "${pkgdir}/usr/share/metainfo/gov.${pkgname}.metainfo.xml"
    install -Dm644 "${srcdir}/usr/share/applications/rfb-${pkgname}.desktop" "${pkgdir}/usr/share/applications/gov.${pkgname}.desktop"

    for i in 48 64 128; do
        install -Dm644 "${srcdir}/irpf-${i}.png" \
            "${pkgdir}/usr/share/icons/hicolor/${i}x${i}/apps/${pkgname}.png"
    done
}
